
Foreman - Bug #10222

Installation of foreman stable in debian wheezy (7.8) fails

04/21/2015 07:44 AM - Konstantin Manna

Status: Rejected   

Priority: Urgent   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.7.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For details see here:

http://pastebin.com/ydt3NgT2

Basically:

/usr/lib/ruby/1.9.1/rubygems/format.rb:62:in `from_io': private method `open' called for Gem::Package:Class (NoMethodError)

History

#1 - 04/21/2015 07:58 AM - Dominic Cleal

- Status changed from New to Need more information

Please provide the following output:

dpkg -l bundler ruby

bundle -v

gem -v

bundle env

gem list

#2 - 04/21/2015 08:03 AM - Konstantin Manna

Dominic Cleal wrote:

Please provide the following output:

dpkg -l bundler ruby

 
Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name                               Version                       Architecture Description

+++-==================================-=============================-============-============================

==================================================

ii  bundler                            1.1.4-6                       all          Manage Ruby application depe

ndencies

ii  ruby                               1:1.9.3                       all          Interpreter of object-orient

ed scripting language Ruby (default version)

 bundle -v

 Bundler version 1.1.4

gem -v

 2.4.5

bundle env
 Could not find task "env".

gem list

 bundler (1.1.4)

bundler_ext (0.4.0)

ffi (1.0.11)

gssapi (1.2.0)

json (1.7.3)

rack (1.4.1)

rake (0.9.2.2)

rdoc (3.9.4)

rkerberos (0.1.3)

sinatra (1.3.6)

tilt (1.3.3)

#3 - 04/21/2015 08:14 AM - Dominic Cleal

- Status changed from Need more information to Feedback

Konstantin Manna wrote:

bundle -v

 Bundler version 1.1.4

 This is correct, it's the standard Debian 7 version.

gem -v

 2.4.5

 This is non-standard, it looks like you might have run "gem update --system" or similar.  It should be version 1.8.23.

The error is because the version of Bundler is too old to work with the very new rubygems version.

I don't know if it's possible to downgrade it again, but if not, you may need to also install a newer version of bundler locally.  This isn't intended to be

supported with our packages, I don't know if you'll have further issues - we only intend to support stock configurations.

Here is the output on my VM for the same packages, which indicates you have a local difference.

root@foremandeb:~# bundle -v

Bundler version 1.1.4

root@foremandeb:~# gem -v

1.8.23

root@foremandeb:~# dpkg -l bundler ruby

Desired=Unknown/Install/Remove/Purge/Hold

| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend

|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)

||/ Name                         Version             Architecture        Description

+++-============================-===================-===================-=====================================

========================

ii  bundler                      1.1.4-6             all                 Manage Ruby application dependencies

ii  ruby                         1:1.9.3             all                 Interpreter of object-oriented script

ing language Ruby (defau

#4 - 04/21/2015 08:45 AM - Konstantin Manna

That seems to have solved it, sry my bad.

The vagrant box i used propably did that

=> Thanks for your help

#5 - 05/17/2017 10:28 AM - Anonymous

- Status changed from Feedback to Rejected
